# ---------------------------------------------------------------------------
# Carnarvon4distribution.py
# Created on: Thu Apr 30 2009 03:51:03 PM
#   (generated by ArcGIS/ModelBuilder)
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting

# Create the Geoprocessor object
gp = arcgisscripting.create()

# Check out any necessary licenses
gp.CheckOutExtension("spatial")

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
gp.overwriteoutput = 1

community = 'Busselton'
output_loc = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\western_australia\\FESA_outputs_Dec_08\\ARCgrids\\April_2009\\"
input_scenario = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\western_australia\\busselton_tsunami_scenario\\"
input_output = input_scenario + "\\anuga\\outputs\\"

locations = ['Bunbury', 'Busselton']

in_Tsunami_1_HAT = input_output + "20090327_152717_run_final_0.6_27283_Bt_kvanputt\\raster.gdb\\"
in_Tsunami_1_MSL = input_output + "20090330_120458_run_final_0_27283_Bt_kvanputt\\raster.gdb\\"
in_Tsunami_2_HAT = input_output + "20090324_134328_run_final_0.6_27255_Bt_kvanputt\\raster.gdb\\"
in_Tsunami_2_MSL = input_output + "20090327_160646_run_final_0_27255_Bt_kvanputt\\raster.gdb\\"
in_Tsunami_3_HAT = input_output + "20090324_140747_run_final_0.6_68693_Bt_kvanputt\\raster.gdb\\"
in_Tsunami_3_MSL = input_output + "20090327_161520_run_final_0_68693_Bt_kvanputt\\raster.gdb\\"

Tsunami_1_HAT = output_loc + "Tsunami1-Exmouth\\" + community + "_HAT.gdb\\"
Tsunami_1_MSL = output_loc + "Tsunami1-Exmouth\\" + community + "_MSL.gdb\\"
Tsunami_2_HAT = output_loc + "Tsunami2-Perth\\" + community + "_HAT.gdb\\"
Tsunami_2_MSL = output_loc + "Tsunami2-Perth\\" + community + "_MSL.gdb\\"
Tsunami_3_HAT = output_loc + "Tsunami3-1833\\" + community + "_HAT.gdb\\"
Tsunami_3_MSL = output_loc + "Tsunami3-1833\\" + community + "_MSL.gdb\\"

hr = community + '_runup'

for location in locations:

    # Local variables...
    if location == 'Bunbury':
        # polygon clip
        extent = input_scenario + "map_work\\Busselton.gdb\\internal_polygons\\bunbury_1km"
        # name of rasters
        depth = 'Bun_depth_M_E'
        speed = 'Bun_speed_M'
    elif location == 'Busselton':
        # polygon clip
        extent = input_scenario + "map_work\\Busselton.gdb\\Internal_polygons\\busselton_1km"
        # name of rasters
        depth = 'Bus_depth_M_E'
        speed = 'Bus_speed_M'
    else:
        print 'No recognisable location entered'

    print 'location', location
    print 'extent', extent

    # Output locations
    
    hr_1_HAT = Tsunami_1_HAT +"highest_runup"
    hr_1_MSL = Tsunami_1_MSL +"highest_runup"
    hr_2_HAT = Tsunami_2_HAT +"highest_runup"
    hr_2_MSL = Tsunami_2_MSL +"highest_runup"
    hr_3_HAT = Tsunami_3_HAT +"highest_runup"
    hr_3_MSL = Tsunami_3_MSL +"highest_runup"

    depth_1_HAT = Tsunami_1_HAT + location + "_depth"
    depth_1_MSL = Tsunami_1_MSL + location + "_depth"
    depth_2_HAT = Tsunami_2_HAT + location + "_depth"
    depth_2_MSL = Tsunami_2_MSL + location + "_depth"
    depth_3_HAT = Tsunami_3_HAT + location + "_depth"
    depth_3_MSL = Tsunami_3_MSL + location + "_depth"

    speed_1_HAT = Tsunami_1_HAT + location + "_speed"
    speed_1_MSL = Tsunami_1_MSL + location + "_speed"
    speed_2_HAT = Tsunami_2_HAT + location + "_speed"
    speed_2_MSL = Tsunami_2_MSL + location + "_speed"
    speed_3_HAT = Tsunami_3_HAT + location + "_speed"
    speed_3_MSL = Tsunami_3_MSL + location + "_speed"


    # Input locations

    in_depth_1_HAT = in_Tsunami_1_HAT + depth
    in_depth_1_MSL = in_Tsunami_1_MSL + depth
    in_depth_2_HAT = in_Tsunami_2_HAT + depth
    in_depth_2_MSL = in_Tsunami_2_MSL + depth
    in_depth_3_HAT = in_Tsunami_3_HAT + depth
    in_depth_3_MSL = in_Tsunami_3_MSL + depth

    in_speed_1_HAT = in_Tsunami_1_HAT + speed
    in_speed_1_MSL = in_Tsunami_1_MSL + speed
    in_speed_2_HAT = in_Tsunami_2_HAT + speed
    in_speed_2_MSL = in_Tsunami_2_MSL + speed
    in_speed_3_HAT = in_Tsunami_3_HAT + speed
    in_speed_3_MSL = in_Tsunami_3_MSL + speed

    in_hr_1_HAT = in_Tsunami_1_HAT + hr
    in_hr_1_MSL = in_Tsunami_1_MSL + hr
    in_hr_2_HAT = in_Tsunami_2_HAT + hr
    in_hr_2_MSL = in_Tsunami_2_MSL + hr
    in_hr_3_HAT = in_Tsunami_3_HAT + hr
    in_hr_3_MSL = in_Tsunami_3_MSL + hr


# Process: Extract by Mask
    print 'Extract by mask for depth'
    gp.ExtractByMask_sa(in_depth_1_HAT, extent, depth_1_HAT)
    gp.ExtractByMask_sa(in_depth_1_MSL, extent, depth_1_MSL)
    gp.ExtractByMask_sa(in_depth_2_HAT, extent, depth_2_HAT)
    gp.ExtractByMask_sa(in_depth_2_MSL, extent, depth_2_MSL)
    gp.ExtractByMask_sa(in_depth_3_HAT, extent, depth_3_HAT)
    gp.ExtractByMask_sa(in_depth_3_MSL, extent, depth_3_MSL)

    print 'Extract by mask for speed'
    gp.ExtractByMask_sa(in_speed_1_HAT, extent, speed_1_HAT)
    gp.ExtractByMask_sa(in_speed_1_MSL, extent, speed_1_MSL)
    gp.ExtractByMask_sa(in_speed_2_HAT, extent, speed_2_HAT)
    gp.ExtractByMask_sa(in_speed_2_MSL, extent, speed_2_MSL)
    gp.ExtractByMask_sa(in_speed_3_HAT, extent, speed_3_HAT)
    gp.ExtractByMask_sa(in_speed_3_MSL, extent, speed_3_MSL)


# Process: Copy Features...

print 'Copy Highest Runup'
gp.CopyFeatures_management(in_hr_1_HAT, hr_1_HAT, "", "0", "0", "0")
gp.CopyFeatures_management(in_hr_1_MSL, hr_1_MSL, "", "0", "0", "0")
gp.CopyFeatures_management(in_hr_2_HAT, hr_2_HAT, "", "0", "0", "0")
gp.CopyFeatures_management(in_hr_2_MSL, hr_2_MSL, "", "0", "0", "0")
gp.CopyFeatures_management(in_hr_3_HAT, hr_3_HAT, "", "0", "0", "0")
gp.CopyFeatures_management(in_hr_3_MSL, hr_3_MSL, "", "0", "0", "0")

