# ---------------------------------------------------------------------------
# Inundation_line.py
# Created on: Tue May 12 2009 01:50:45 PM
#   (generated by ArcGIS/ModelBuilder)
# Usage: Inundation_line <Bun_depth_M_E> <Bus_depth_M_E> <bunbury_1km> <busselton_1km> 
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting, glob

# Create the Geoprocessor object
gp = arcgisscripting.create()
gp.overwriteoutput = 1

# Set the necessary product code
gp.SetProduct("ArcInfo")

# Check out any necessary licenses
gp.CheckOutExtension("spatial")

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Analysis Tools.tbx")

# Script arguments...
time_dir1 = '20090327_152717_run_final_0.6_27283_Bt_kvanputt'
time_dir2 = '20090330_120458_run_final_0_27283_Bt_kvanputt'
time_dir3 = '20090324_134328_run_final_0.6_27255_Bt_kvanputt'
time_dir4 = '20090327_160646_run_final_0_27255_Bt_kvanputt'
time_dir5 = '20090324_140747_run_final_0.6_68693_Bt_kvanputt'
time_dir6 = '20090327_161520_run_final_0_68693_Bt_kvanputt'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6] 

community = 'busselton'
scenario = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\western_australia\\" + community +"_tsunami_scenario\\"
output_folder = scenario + "anuga\\outputs\\"
locations = ['bunbury', 'busselton']

for time_dir in time_dirs:

    raster = output_folder + time_dir + "\\raster.gdb\\"
    
    for location in locations:

        # Local variables...
        if location == 'bunbury':
            # polygon clip
            extent = scenario + "map_work\\Busselton.gdb\\internal_polygons\\bunbury_1km_clip"
            # name of rasters
            depth = raster + 'Bun_depth_M_E'
            
        elif location == 'busselton':
            # polygon clip
            extent = scenario + "map_work\\Busselton.gdb\\Internal_polygons\\busselton_1km_clip"
            # name of rasters
            depth = raster + 'Bus_depth_M_E'
            
        else:
            print 'No recognisable location entered'

        print 'location', location
        print 'extent', extent

        depth_raster = depth

        # Local variables...
        Output_raster = raster +"Temp_raster_"+ location
        Output_polygon_features = raster +"Temp_polygon_"+ location
        Output_Feature_Class = raster +"Temp_line_"+ location
        Reclassification = "0 0.05 NODATA;0.05 4.5840001106262207 1"
        Inundation = raster + "Inundation_" + location + "_polygon"
        Inundation_line = raster + "Inundation_line"
          
        print 'Process: Reclassify'
        gp.Reclassify_sa(depth, "Value", Reclassification, Output_raster, "DATA")
        
        print 'Process: Raster to Polygon'
        gp.RasterToPolygon_conversion(Output_raster, Output_polygon_features, "SIMPLIFY", "VALUE")

        print 'Process: Clip'
        gp.Clip_analysis(Output_polygon_features, extent, Inundation, "")

        print 'Process: Delete'
        gp.Delete_management(Output_raster, "RasterDataset")
        gp.Delete_management(Output_polygon_features, "FeatureClass")
